Bug 1273947 - Disable volume name customization when a VMware CR is choosen
Disable volume name customization when a VMware CR is choosen
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare (Show other bugs)
6.1.3
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: 6.X
Assigned To: Chris Roberts
Kedar Bidarkar
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 10:42 EDT by Kedar Bidarkar
Modified: 2017-08-01 16:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:01:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12652 None None None 2016-04-22 11:50 EDT

  None (edit)
Description Kedar Bidarkar 2015-10-21 10:42:11 EDT
Description of problem:

cannot change the HardDisk name when provisioning a vm for vmware compute resource.





Version-Release number of selected component (if applicable):
Sat6.1.3

How reproducible:


Steps to Reproduce:
1. add a vmware compute resource
2. provision a host on this compute resource with a custom HD name
3. Unable to see the custom HD name at vmware end

Actual results:
Unable to see the custom HD name in the vmware

Expected results:
Should be able to see the custom HD name at the vmware side.

Additional info:
Comment 2 Brad Buckingham 2015-10-23 11:10:03 EDT
Is this related to the newer fog?
Comment 3 Kedar Bidarkar 2015-10-28 06:14:14 EDT
This is with only Satellite6.1.3 no fog libs updated.
Comment 4 Bryan Kearney 2015-12-01 13:42:29 EST
Created redmine issue http://projects.theforeman.org/issues/12652 from this bug
Comment 5 Bryan Kearney 2016-02-29 06:58:21 EST
From upstream bug. Kedar, can you check into this:

Working in a big vmware environment, I can tell you that there is no way to customize the HDD name of a VM on the VMware side.
I know this is possible in RHEV/Ovirt (and maybe other CR managed by fog) but not in VMware.
So, this bug should be modified to something like "Disable volume name customization when a VMware CR is choosen".

For reference, go to: https://pubs.vmware.com/vsphere-55/index.jsp#com.vmware.vsphere.hostclient.doc/GUID-2CFBCCD5-B53D-42CD-AECD-FBC46AAC4AC5.html?resultof=%2522%2568%2561%2572%2564%2522%2520%2522%2564%2569%2573%256b%2522%2520
Comment 6 Kedar Bidarkar 2016-04-11 08:06:31 EDT
Ok, let's update this bug as per the suggestion.
Comment 7 Bryan Kearney 2016-08-10 15:10:22 EDT
Upstream bug component is Compute Resources - VMWare
Comment 8 Bryan Kearney 2016-08-10 16:11:21 EDT
Upstream bug component is Compute Resources
Comment 9 Bryan Kearney 2016-08-10 18:11:07 EDT
Upstream bug component is Compute Resources - VMWare
Comment 10 Chris Roberts 2017-02-02 11:56:44 EST
Created PR

https://github.com/theforeman/foreman/pull/4252
Comment 12 Bryan Kearney 2017-08-01 16:01:52 EDT
The fix to this bug will be delivered with release 6.3 of Satellite.

Note You need to log in before you can comment on or make changes to this bug.